Bug 1238527 - openstack-status command should show lbaasv2 agent status
Summary: openstack-status command should show lbaasv2 agent status
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-utils
Version: 7.0 (Kilo)
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: beta
: 10.0 (Newton)
Assignee: Lon Hohberger
QA Contact: Alexander Stafeyev
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-02 05:01 UTC by Alexander Stafeyev
Modified: 2019-09-10 14:12 UTC (History)
9 users (show)

Fixed In Version: openstack-utils-2016.1-1.el7ost
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-14 15:13:16 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC

Description Alexander Stafeyev 2015-07-02 05:01:31 UTC
Description of problem:
When we execute openstack status command- we do not see and lbaas v2 agent info. only lbaas v1 is down.

 openstack-status

== neutron services ==
neutron-server: active
neutron-dhcp-agent: active
neutron-l3-agent: active
neutron-metadata-agent: active
neutron-lbaas-agent: inactive
neutron-openvswitch-agent: active

we should see lbaasv2 also

Version-Release number of selected component (if applicable):
Kilo+rhel7.1

openstack-neutron-common-2015.1.0-10.el7ost.noarch
python-neutron-lbaas-2015.1.0-5.el7ost.noarch
openstack-neutron-openvswitch-2015.1.0-10.el7ost.noarch
python-neutronclient-2.4.0-1.el7ost.noarch
openstack-neutron-lbaas-2015.1.0-5.el7ost.noarch
python-neutron-fwaas-2015.1.0-3.el7ost.noarch
openstack-neutron-fwaas-2015.1.0-3.el7ost.noarch
python-neutron-2015.1.0-10.el7ost.noarch
openstack-neutron-2015.1.0-10.el7ost.noarch
openstack-neutron-ml2-2015.1.0-10.el7ost.noarch

How reproducible:
100%

Steps to Reproduce:
1.configure lbaasv2

Comment 4 Assaf Muller 2016-06-04 01:24:27 UTC
@Nir, can you please triage this, figure out why openstack-status doesn't include the 'neutron-lbaasv2-agent' service?

Comment 6 Nir Magnezi 2016-06-09 13:23:10 UTC
The issue here is not with openstack-neutron-lbaas, it's with openstack-utils.
I have submitted a pull request to fix this:
https://github.com/redhat-openstack/openstack-utils/pull/18

Comment 7 Nir Magnezi 2016-06-19 08:32:19 UTC
The pull request was accepted: https://github.com/redhat-openstack/openstack-utils/pull/18#issuecomment-226946672
Moving it to Pádraig Brady so the fix will be incorporated in OSP openstack-utils.

Comment 9 Alexander Stafeyev 2016-08-29 11:40:25 UTC
== neutron services ==
neutron-server:                         active
neutron-dhcp-agent:                     active
neutron-l3-agent:                       active
neutron-metadata-agent:                 active
neutron-lbaas-agent:                    inactive  (disabled on boot)
neutron-lbaasv2-agent:                  inactive  (disabled on boot)
neutron-openvswitch-agent:              active
neutron-metering-agent:                 inactive  (disabled on boot)



[root@controller-0 ~]# rpm -qa |grep openstack-utils
openstack-utils-2016.1-1.el7ost.noarch
[root@controller-0 ~]#

Comment 12 errata-xmlrpc 2016-12-14 15:13:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.